# Zcash Ruby Explorer
Ruby wrapper for the popular [Zcash] blockchain query API service by [Zchain]. Developed to be used at [BitJá], the Brazilian cryptocurrency liquidity exchange.

## INSTALLATION

Add this line to your application's Gemfile:

```ruby
gem 'zcash_ruby_explorer'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install zcash_ruby_explorer

## USAGE
Here's how to perform queries by block, address and transactions.

```ruby
explorer = ZcashRubyExplorer::Api.new

# Get all transactions from a given block
explorer.block_full_txs '0000000002ad5f889aa7c8c0c5df9f4a87e48c01e16d93bbe5636fcffae599f0'

# Get all transactions involving a given address (account)
explorer.address_full_txs 't3Vz22vK5z2LcKEdg16Yv4FFneEL1zg9ojd'

# Get information about a specific transaction

explorer.tx_info 'ac52e46a632f92693a2dcf297f1584e330307ce128eda432564ac1d46a3418a1'
```

## DEVELOPMENT

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org].

### CODE QUALITY

I prefer good code whenever possible, just like you. The [rubocop] tool is used in this project to ensure the code is well written:

```shell
$ rubocop lib/
```

### CONTRIBUTING

Bug reports and pull requests are welcome on GitHub at https://github.com/rodrigoalvesvieira/zcash_ruby_explorer.

## AUTHORS

* Rodrigo Alves Vieira <rodrigo@bitja.com.br>

This project is based on BlockCypher's [ruby client].

## LICENSE

The gem is available as open source under the terms of the [MIT License].

[Zcash]: https://z.cash
[Zchain]: https://explorer.zcha.in
[BitJá]: https://www.bitja.com.br/
[rubygems.org]: https://rubygems.org
[rubocop]: https://github.com/rubocop-hq/rubocop
[ruby client]: https://github.com/blockcypher/ruby-client
[MIT License]: https://opensource.org/licenses/MIT

